# -*- coding: utf-8 -*-
# Copyright 2018-2021 the orix developers
#
# This file is part of orix.
#
# orix is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# orix is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with orix.  If not, see <http://www.gnu.org/licenses/>.

data = [
    ("1", [[1, 0, 0, 0]], [0]),
    ("-1", [[1, 0, 0, 0], [1, 0, 0, 0]], [0, 1]),
    ("2", [[1, 0, 0, 0], [0, 0, 1, 0]], [0, 0]),
    ("m", [[1, 0, 0, 0], [0, 0, 1, 0]], [0, 1]),
    ("2/m", [[1, 0, 0, 0], [0, 0, 1, 0], [1, 0, 0, 0], [0, 0, 1, 0]], [0, 0, 1, 1]),
    ("222", [[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 1], [0, 0, -1, 0]], [0, 0, 0, 0]),
    ("mm2", [[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 0, 1], [0, 0, -1, 0]], [0, 1, 0, 1]),
    (
        "mmm",
        [
            [1, 0, 0, 0],
            [0, 1, 0, 0],
            [0, 0, 0, 1],
            [0, 0, -1, 0],
            [1, 0, 0, 0],
            [0, 1, 0, 0],
            [0, 0, 0, 1],
            [0, 0, -1, 0],
        ],
        [0, 0, 0, 0, 1, 1, 1, 1],
    ),
    ("3", [[1, 0, 0, 0], [0.5, 0, 0, 0.866], [-0.5, 0, 0, 0.866]], [0, 0, 0]),
    (
        "-3",
        [
            [1, 0, 0, 0],
            [0.5, 0, 0, 0.866],
            [-0.5, 0, 0, 0.866],
            [1, 0, 0, 0],
            [0.5, 0, 0, 0.866],
            [-0.5, 0, 0, 0.866],
        ],
        [0, 0, 0, 1, 1, 1],
    ),
    (
        "32",
        [
            [1, 0, 0, 0],
            [0, 0.866, -0.5, 0],
            [0.5, 0, 0, 0.866],
            [0, 0, -1, 0],
            [-0.5, 0, 0, 0.866],
            [0, -0.866, -0.5, 0],
        ],
        [0, 0, 0, 0, 0, 0],
    ),
    (
        "3m",
        [
            [1, 0, 0, 0],
            [0, 0.866, -0.5, 0],
            [0.5, 0, 0, 0.866],
            [0, 0, -1, 0],
            [-0.5, 0, 0, 0.866],
            [0, -0.866, -0.5, 0],
        ],
        [0, 1, 0, 1, 0, 1],
    ),
    (
        "-3m",
        [
            [1, 0, 0, 0],
            [0, 0.866, -0.5, 0],
            [0.5, 0, 0, 0.866],
            [0, 0, -1, 0],
            [-0.5, 0, 0, 0.866],
            [0, -0.866, -0.5, 0],
            [1, 0, 0, 0],
            [0, 0.866, -0.5, 0],
            [0.5, 0, 0, 0.866],
            [0, 0, -1, 0],
            [-0.5, 0, 0, 0.866],
            [0, -0.866, -0.5, 0],
        ],
        [0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1],
    ),
    (
        "-42m",
        [
            [1, 0, 0, 0],
            [0, 1, 0, 0],
            [0.7071, 0, 0, 0.7071],
            [0, 0.7071, -0.7071, 0],
            [0, 0, 0, 1],
            [0, 0, -1, 0],
            [-0.7071, 0, 0, 0.7071],
            [0, -0.7071, -0.7071, 0],
        ],
        [0, 0, 1, 1, 0, 0, 1, 1],
    ),
    (
        "4/mmm",
        [
            [1, 0, 0, 0],
            [0, 1, 0, 0],
            [0.7071, 0, 0, 0.7071],
            [0, 0.7071, -0.7071, 0],
            [0, 0, 0, 1],
            [0, 0, -1, 0],
            [-0.7071, 0, 0, 0.7071],
            [0, -0.7071, -0.7071, 0],
            [1, 0, 0, 0],
            [0, 1, 0, 0],
            [0.7071, 0, 0, 0.7071],
            [0, 0.7071, -0.7071, 0],
            [0, 0, 0, 1],
            [0, 0, -1, 0],
            [-0.7071, 0, 0, 0.7071],
            [0, -0.7071, -0.7071, 0],
        ],
        [0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1],
    ),
    (
        "622",
        [
            [1, 0, 0, 0],
            [0, 0.866, -0.5, 0],
            [0.866, 0, 0, 0.5],
            [0, 0.5, -0.866, 0],
            [0.5, 0, 0, 0.866],
            [0, 0, -1, 0],
            [0, 0, 0, 1],
            [0, -0.5, -0.866, 0],
            [-0.5, 0, 0, 0.866],
            [0, -0.866, -0.5, 0],
            [-0.866, 0, 0, 0.5],
            [0, -1, 0, 0],
        ],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
    ),
    (
        "-62m",
        [
            [1, 0, 0, 0],
            [0, 0.866, -0.5, 0],
            [0.866, 0, 0, 0.5],
            [0, 0.5, -0.866, 0],
            [0.5, 0, 0, 0.866],
            [0, 0, -1, 0],
            [0, 0, 0, 1],
            [0, -0.5, -0.866, 0],
            [-0.5, 0, 0, 0.866],
            [0, -0.866, -0.5, 0],
            [-0.866, 0, 0, 0.5],
            [0, -1, 0, 0],
        ],
        [0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 1, 1],
    ),
    (
        "23",
        [
            [1, 0, 0, 0],
            [0.5, 0.5, 0.5, 0.5],
            [-0.5, 0.5, 0.5, 0.5],
            [0, 1, 0, 0],
            [-0.5, 0.5, 0.5, -0.5],
            [-0.5, -0.5, 0.5, -0.5],
            [0, 0, 0, 1],
            [-0.5, 0.5, -0.5, 0.5],
            [-0.5, 0.5, -0.5, -0.5],
            [0, 0, -1, 0],
            [0.5, 0.5, -0.5, -0.5],
            [0.5, 0.5, 0.5, -0.5],
        ],
        [0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0],
    ),
]
